aboutsummaryrefslogtreecommitdiff
path: root/bin/qat.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/qat.sh')
-rw-r--r--bin/qat.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/bin/qat.sh b/bin/qat.sh
new file mode 100644
index 00000000..19acbf5a
--- /dev/null
+++ b/bin/qat.sh
@@ -0,0 +1,11 @@
+restore() {
+ if [ -n "$stty" ] ; then
+ stty "$stty"
+ fi
+}
+trap restore EXIT
+if [ -t 0 ] ; then
+ stty=$(stty -g)
+ stty -echo
+fi
+cat